unit iOSapi.CFNetwork;

interface

uses Macapi.ObjectiveC, iOSapi.CocoaTypes, iOSapi.Foundation;


// ===== External functions =====

const
  libCFNetwork = '/System/Library/Frameworks/CFNetwork.framework/CFNetwork';

implementation

{$IFDEF IOS}
{$IF Not defined(CPUARM)}

uses Posix.Dlfcn;

var
  iCFNetworkModule: THandle;
{$ENDIF}
{$IFDEF IOS}
{$IF defined(CPUARM)}
procedure LibCFNetworkFakeLoader; cdecl; external libCFNetwork;
{$ELSE}

initialization

iCFNetworkModule := dlopen( MarshaledAString( libCFNetwork ), RTLD_LAZY );

finalization

dlclose( iCFNetworkModule );
{$ENDIF}
{$ENDIF}
{$ENDIF}


end.